# PCB

Board size: 50.99x50.99 mm (2.01x2.01 inches)

- This is the size of the rectangle that contains the board
- Thickness: 1.6 mm (63 mils)
- Material: FR4
- Finish: None
- Layers: 4
- Copper thickness: 35 µm

Solder mask: TOP / BOTTOM

- Color: #fbba00d4

Silk screen: TOP / BOTTOM

- Color: White


Stackup:

| Name                 | Type                 | Color            | Thickness | Material        | Epsilon_r | Loss tangent |
|----------------------|----------------------|------------------|-----------|-----------------|-----------|--------------|
| F.SilkS              | Top Silk Screen      | White            |           |                 |           |              |
| F.Paste              | Top Solder Paste     |                  |           |                 |           |              |
| F.Mask               | Top Solder Mask      | #FBBA00D4        |        10 |                 |           |              |
| F.Cu                 | copper               |                  |        35 |                 |           |              |
| dielectric 1         | core                 |                  |       480 | FR4             |       4.5 |        0.020 |
| In1.Cu               | copper               |                  |        35 |                 |           |              |
| dielectric 2         | prepreg              |                  |       480 | FR4             |       4.5 |        0.020 |
| In2.Cu               | copper               |                  |        35 |                 |           |              |
| dielectric 3         | core                 |                  |       480 | FR4             |       4.5 |        0.020 |
| B.Cu                 | copper               |                  |        35 |                 |           |              |
| B.Mask               | Bottom Solder Mask   | #FBBA00D4        |        10 |                 |           |              |
| B.Paste              | Bottom Solder Paste  |                  |           |                 |           |              |
| B.SilkS              | Bottom Silk Screen   | White            |           |                 |           |              |

# Important sizes

Clearance: 0.2 mm (8 mils)

Track width: 0.2 mm (8 mils)

- By design rules: 0.2 mm (8 mils)

Drill: 0.3 mm (12 mils)

- Vias: 0.3 mm (12 mils) [Design: 0.3 mm (12 mils)]
- Pads: 0.65 mm (26 mils)
- The above values are real drill sizes, they add 0.1 mm (4 mils) to plated holes (PTH)

Via: 0.6/0.2 mm (24/8 mils)

- By design rules: 0.4/0.2 mm (16/8 mils)
- Micro via: yes [0.2/0.1 mm (8/4 mils)]
- Buried/blind via: yes
- Total: 184 (thru: 184 buried/blind: 0 micro: 0)

Outer Annular Ring: 0.15 mm (6 mils)

- By design rules: 0.15 mm (6 mils)

Eurocircuits class: 4D
- Using min drill 0.3 mm for an OAR of 0.15 mm


# General stats

Components count: (SMD/THT)

- Top: 0/5 (THT)
- Bottom: 66/3 (SMD + THT)

Defined tracks:

- 0.2 mm (8 mils)
- 0.25 mm (10 mils)
- 0.3 mm (12 mils)
- 0.34 mm (14 mils)
- 0.4 mm (16 mils)
- 0.5 mm (20 mils)
- 0.6 mm (24 mils)
- 0.7 mm (28 mils)
- 1.0 mm (39 mils)

Used tracks:

- 0.2 mm (8 mils) (37) defined: yes
- 0.25 mm (10 mils) (5) defined: yes
- 0.26 mm (10 mils) (16) defined: no
- 0.3 mm (12 mils) (1) defined: yes
- 0.4 mm (16 mils) (32) defined: yes
- 0.5 mm (20 mils) (377) defined: yes
- 0.7 mm (28 mils) (8) defined: yes
- 1.0 mm (39 mils) (25) defined: yes

Defined vias:

- 0.6/0.2 mm (24/8 mils)
- 0.7/0.3 mm (28/12 mils)
- 0.8/0.4 mm (31/16 mils)

Used vias:

- 0.6/0.2 mm (24/8 mils) (Count: 4, Aspect: 2.7 A) defined: yes
- 0.7/0.3 mm (28/12 mils) (Count: 22, Aspect: 2.3 A) defined: yes
- 0.8/0.4 mm (31/16 mils) (Count: 158, Aspect: 2.0 A) defined: yes

Holes (excluding vias):

- 0.65 mm (26 mils) (2)
- 1.2 mm (47 mils) (1)
- 2.7 mm (106 mils) (5)
- 3.0 mm (118 mils) (4)

Oval holes:

- 0.6x1.4 mm (24x55 mils) (2)
- 0.6x1.7 mm (24x67 mils) (2)

Drill tools (including vias and computing adjusts and rounding):

- 0.3 mm (12 mils) (4)
- 0.4 mm (16 mils) (22)
- 0.5 mm (20 mils) (158)
- 0.65 mm (26 mils) (2)
- 0.7 mm (28 mils) (4)
- 1.2 mm (47 mils) (1)
- 2.7 mm (106 mils) (5)
- 3.1 mm (122 mils) (4)




